Subject: Re: bug#67180: 30.0.50; 'pp-to-string' emits extra newline

From: Eshel Yaron <[email-masked]>
Date: Wed, 15 Nov 2023 14:10:39 +0100

Stefan Monnier <[email-masked]> writes:

>>> On Emacs 29 and earlier, with `-Q`, we have:
>>> 
>>> (pp-to-string "foo")
>>>   => "\"foo\""
>>> 
>>> On master with `-Q`, we get an extra newline at the end of the string:
>>> 
>>> (pp-to-string "foo")
>>>   => "\"foo\"
>>> "
>
> Is that a problem?

FWIW, I think that this change is for the better, but it is
incompatible, and sadly it broke `agda2-mode`.  (In some sense this
probably Agda's "fault", because I don't really understand why they're
using `pp-to-string` the way they do.)  My suggestion was simply to
explicitly mention this new behavior in NEWS or some such.

> I also see that the old `pp-to-string` added that same extra newline for
> slightly more complex input:
>
>     ELISP> (pp-to-string '("foo"))
>     "(\"foo\")
>     "
>     ELISP> 
>
>> Stefan, is this due to your changes in pp?
>
> Yes.
>
>
>         Stefan